Summary:	A weather application for GNOME
Summary(pl.UTF-8):	Aplikacja pogodowa dla GNOME
Name:		gnome-weather
Version:	3.36.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-weather/3.36/%{name}-%{version}.tar.xz
# Source0-md5:	a028a4662b235eb6de442598c7e07fbe
URL:		https://wiki.gnome.org/Apps/Weather
BuildRequires:	appstream-glib
BuildRequires:	geoclue2-devel >= 2.3.1
BuildRequires:	gettext-tools
BuildRequires:	gjs-devel >= 1.50.0
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	gtk+3-devel >= 3.20
BuildRequires:	libgweather-devel >= 3.28
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.36.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	geoclue2 >= 2.3.1
Requires:	gjs >= 1.50.0
Requires:	glib2 >= 1:2.36.0
Requires:	gobject-introspection >= 1.36.0
Requires:	gtk+3 >= 3.20
Requires:	hicolor-icon-theme
Requires:	libgweather >= 3.28
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-weather is a small application that allows you to monitor the
current weather conditions for your city, or anywhere in the world,
and to access updated forecasts provided by various Internet services.

%description -l pl.UTF-8
gnome-weather to mała aplikacja pozwalająca na śledzenie aktualnych
warunków pogodowych we własnym mieście lub dowolnym miejscu na świecie
oraz na dostęp do uaktualnianych prognoz dostarczanych przez różne
serwisy internetowe.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang org.gnome.Weather

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f org.gnome.Weather.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/gnome-weather
%{_datadir}/dbus-1/services/org.gnome.Weather.service
%{_datadir}/dbus-1/services/org.gnome.Weather.BackgroundService.service
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.search-provider.ini
%{_datadir}/metainfo/org.gnome.Weather.appdata.xml
%dir %{_datadir}/org.gnome.Weather
%attr(755,root,root) %{_datadir}/org.gnome.Weather/org.gnome.Weather
%attr(755,root,root) %{_datadir}/org.gnome.Weather/org.gnome.Weather.BackgroundService
%{_datadir}/org.gnome.Weather/org.gnome.Weather.*.gresource
%{_desktopdir}/org.gnome.Weather.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Weather.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Weather-symbolic.svg
%changelog
* Fri May 01 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-weather.git;a=log;h=master

* Fri May 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 45eca3a
- updated to 3.36.1

* Mon Nov 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 664a927
- updated to 3.34.0

* Tue Aug 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 98dc4ec
- updated to 3.32.2

* Sun Jan 27 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 892da20
- Updated to 3.26.0

* Fri Mar 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d9f4e87
- Update to 3.24.0

* Sat Oct 24 2015 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 29d89a4
- fixed files permissions
- rel 2

* Mon Oct 12 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 89cd511
- Update to 3.18.1

* Sun May 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 73b30d6
- Update to 3.16.2.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ba154ee
- updated gettext BR

* Sun Nov 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 210bece
- Update to 3.14.1

* Wed May 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 9ca9861
- Update to 3.12.1

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 03aeaa1
- Update md5

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4af9dd8
- Update to 3.12.0

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> e2bc9a7
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ff88672
- release 2 (by relup.sh)

* Sun Oct 20 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 814cbb9
- Update to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 07f504c
- Update to 3.10.0

* Sun May 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 2d9b87e
- updated to 3.8.2

* Tue Apr 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> a28bc7a
- Update to 3.8.1

* Thu Mar 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 03a7509
- Initial release

